#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA9,0xFA,0x22,0x0F,0x8A,0xD7,0x9E,0x85,0xAB,0x58,0xDA,0x16,
		0x60,0x7A,0x7A,0xFD,0xEE,0xE8,0x0B,0xC7,0x52,0xEC,0x91,0x7E,
		0xE6,0x2C,0x6F,0x82,0xFD,0x2A,0x28,0xBD,0x65,0x2F,0x81,0x75,
		0x19,0x29,0x5E,0xAD,0x14,0x63,0xF9,0x48,0x58,0x44,0x4E,0x95,
		0x3C,0xA7,0x29,0x4D,0xB0,0x7A,0x56,0x29,0x20,0xE0,0x9D,0xF5,
		0x7A,0x63,0x8D,0xBB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
